Bug 377941 - yum displays explicitly installed package as dependency
yum displays explicitly installed package as dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 10:34 EST by Moritz Barsnick
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 10:35:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2007-11-12 10:34:46 EST
Description of problem:
yum displays a package which was named on the commandline during install as a 
dependency (of other package), despite it not being so.

Version-Release number of selected component (if applicable):
3.2.7-1.fc8

How reproducible:


Steps to Reproduce:
1. Basic install.
2. Set proxy in /etc/yum.conf
3. See below:
[root@lrb-sim04 ~]# rpm -q xemacs
package xemacs is not installed
[root@lrb-sim04 ~]# yum install xemacs joe
fedora                    100% |=========================| 2.1 kB    00:00
primary.sqlite.bz2        100% |=========================| 5.8 MB    00:35
updates                   100% |=========================| 2.3 kB    00:00
primary.sqlite.bz2        100% |=========================| 221 kB    00:01
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package xemacs.x86_64 0:21.5.28-5.fc8 set to be updated
--> Processing Dependency: libcompface.so.1()(64bit) for package: xemacs
--> Processing Dependency: xemacs-packages-base >= 20060510 for package: xemacs
--> Processing Dependency: libcanna.so.1()(64bit) for package: xemacs
--> Processing Dependency: libneXtaw.so.0()(64bit) for package: xemacs
--> Processing Dependency: xorg-x11-fonts-ISO8859-1-75dpi for package: xemacs
--> Processing Dependency: libRKC.so.1()(64bit) for package: xemacs
--> Processing Dependency: xemacs-common = 21.5.28-5.fc8 for package: xemacs
---> Package joe.x86_64 0:3.5-3.fc7 set to be updated
--> Running transaction check
---> Package xemacs-common.x86_64 0:21.5.28-5.fc8 set to be updated
---> Package compface.x86_64 0:1.5.2-6 set to be updated
---> Package neXtaw.x86_64 0:0.15.1-11.fc8 set to be updated
---> Package Canna-libs.x86_64 0:3.7p3-21.fc8 set to be updated
---> Package xemacs-packages-base.noarch 0:20070427-1.fc8 set to be updated
---> Package xorg-x11-fonts-ISO8859-1-75dpi.noarch 0:7.2-3.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 joe                     x86_64     3.5-3.fc7        fedora            376 k
Installing for dependencies:
 Canna-libs              x86_64     3.7p3-21.fc8     fedora            433 k
 compface                x86_64     1.5.2-6          fedora             22 k
 neXtaw                  x86_64     0.15.1-11.fc8    fedora            169 k
 xemacs                  x86_64     21.5.28-5.fc8    fedora            2.7 M
 xemacs-common           x86_64     21.5.28-5.fc8    fedora            5.2 M
 xemacs-packages-base    noarch     20070427-1.fc8   fedora            810 k
 xorg-x11-fonts-ISO8859-1-75dpi  noarch     7.2-3.fc8        fedora            
927 k

Transaction Summary
=============================================================================
Install      8 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 11 M
Is this ok [y/N]: y
Downloading Packages:
(1/8): joe-3.5-3.fc7.x86_ 100% |=========================| 376 kB    00:01
(2/8): xorg-x11-fonts-ISO 100% |=========================| 927 kB    00:11
(3/8): xemacs-packages-ba 100% |=========================| 810 kB    00:06
(4/8): Canna-libs-3.7p3-2 100% |=========================| 433 kB    00:09
(5/8): xemacs-21.5.28-5.f 100% |=========================| 456 kB    00:36
http://mirror.lib.ucdavis.edu/fedora/linux/releases/8/Everything/x86_64/os/
Packages/xemacs-21.5.28-5.fc8.x86_64.rpm: [Errno 4] Socket Error: timed out
Trying other mirror.
(5/8): xemacs-21.5.28-5.f 100% |=========================| 2.7 MB    00:43
(6/8): neXtaw-0.15.1-11.f 100% |=========================| 169 kB    00:03
(7/8): compface-1.5.2-6.x 100% |=========================|  22 kB    00:00
(8/8): xemacs-common-21.5 100% |=========================| 5.2 MB    01:44



Actual results:
"joe" is listed as "Installing".
"xemacs" is listed as "Installing for dependencies".

Expected results:
"joe" and "xemacs" are listed as "Installing".

Additional info:
That's the only complaint I have. It's a bit confusing. "Hey, I requested two 
packages. Where's the second one?" Everything else is looking fine for the time 
being. :)
Comment 1 Seth Vidal 2007-12-06 10:35:39 EST
I think we closed this one out in 3.2.8. If you can test this again, please test
against 3.2.8 which is in updates-testing or updates depending on when you read
this. reopen if it isn't fixed. thanks

Note You need to log in before you can comment on or make changes to this bug.